Skip to content

Filter values

Request

Get possible values to be used with a given filter attribute. Filter attributes are not metric or record specific, so one filter attribute can be used with multiple metrics/records. When a filter value is not relevant for a specific metric/record, it is simply ignored.

Security
ApiKeyAuth
Path
filterAttributestringrequired
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

GET
/v1/analytics/filter/{filterAttribute}
curl -i -X GET \
  'https://dev.dixa.io/v1/analytics/filter/{filterAttribute}?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The possible filter values to be used when fetching metrics or records

Bodyapplication/json
dataArray of objects(FilterValue)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {} ] }